"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.addDays = addDays;
exports.getMonthIndex = getMonthIndex;
exports.getMonthNames = getMonthNames;
exports.isSameDate = isSameDate;
exports.isValidDate = isValidDate;
var _moment = _interopRequireDefault(require("moment"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function addDays(date, days) {
  const result = new Date(date);
  result.setDate(result.getDate() + days);
  return result;
}
function isValidDate(date) {
  return Object.prototype.toString.call(date) === '[object Date]' && !isNaN(date.getTime());
}
function isSameDate(one, other) {
  return one.getDate() === other.getDate() && one.getMonth() === other.getMonth() && one.getFullYear() === other.getFullYear();
}
function getMonthIndex(firstMonth, date, months, numberOfMonths) {
  const _firstMonth = (0, _moment.default)(firstMonth);
  const lastMonth = _firstMonth.clone().add(numberOfMonths, 'months');
  if (date >= _firstMonth.toDate() && date <= lastMonth.endOf('month').toDate()) {
    const monthIndex = (0, _moment.default)(date).diff(_firstMonth, 'months');
    if (monthIndex >= 0 && monthIndex <= months.length) {
      return monthIndex;
    }
  }
  return null;
}
function getMonthNames(locale) {
  switch (locale) {
    case 'es':
      return ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'];
    case 'en':
      return ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December'];
    case 'fr':
      return ['Janvier', 'Février', 'Mars', 'Avril', 'Mai', 'Juin', 'Juillet', 'Août', 'Septembre', 'Octobre', 'Novembre', 'Décembre'];
    case 'br':
      return ['Janeiro', 'Fevereiro', 'Março', 'Abril', 'Maio', 'Junho', 'Julho', 'Agosto', 'Setembro', 'Outubro', 'Novembro', 'Dezembro'];
    case 'zh':
      return ['一月', '二月', '三月', '四月', '五月', '六月', '七月', '八月', '九月', '十月', '十一月', '十二月'];
    case 'ru':
      return ['Январь', 'Февраль', 'Март', 'Апрель', 'Май', 'Июнь', 'Июль', 'Август', 'Сентябрь', 'Октябрь', 'Ноябрь', 'Декабрь'];
    default:
      return ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December'];
  }
}
//# sourceMappingURL=date.js.map